{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Lieux{% endblock %}

{% block body %}

<h1 class="mb-4 display-1">Lieux</h1>

{% if from is defined %}
<h1 class="display-5 mb-4">
  {{ interval( from, to) }}
</h1>
{% endif %}


<table id="datatable" class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Nom</th>
      <th scope="col">Parent</th>
      <th scope="col">Type</th>
    </tr>
  </thead>
  <tbody>
  {% for location in locations %}
    <tr>
    
      <td scope="col">
        <a href="{{path('location', {id: location.id})}}">
          {{location.name}}
        </a>
      </td>

      <td scope="col">
        {% if location.parent %}
          <a href="{{path('location', {id: location.parent.id})}}">
            {{location.parent.name}}
          </a>
        {% endif %}
      </td>

      <td scope="col">
        {% for type in location.types %}
          {{type.name}}
          {{ not loop.last ? ',' }}
        {% endfor %}
      </td>

    </tr>
  {% endfor %}
  </tbody>
</table>

{% endblock %}
